%define upstream_name    Algorithm-FastPermute
%define upstream_version 0.999

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Rapid generation of permutations
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Algorithm/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

%description
Algorithm::FastPermute generates all the permutations of an array. You pass
a block of code, which will be executed for each permutation. The array
will be changed in place, and then changed back again before 'permute'
returns. During the execution of the callback, the array is read-only and
you'll get an error if you try to change its length. (You _can_ change its
elements, but the consequences are liable to confuse you and may change in
future versions.)

You have to pass an array, it can't just be a list. It *does* work with
special arrays and tied arrays, though unless you're doing something
particularly abstruse you'd be better off copying the elements into a
normal array first.

It's very fast. My tests suggest it's four or five times as fast as
Algorithm::Permute's traditional interface. If you're permuting a large
list (nine or more elements, say) then you'll appreciate this enormously.
If your lists are short then Algorithm::Permute will still finish faster
than you can blink, and you may find its interface more convenient.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.999.0-7.mga6
+ Revision: 1022258
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.999.0-6.mga6
+ Revision: 956669
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 sander85 <sander85> 0.999.0-5.mga6
+ Revision: 844182
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.999.0-4.mga5
+ Revision: 750657
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.999.0-3.mga5
+ Revision: 683448
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.999.0-2.mga5
+ Revision: 630787
- Rebuild for perl 5.20

* Thu Feb 13 2014 jquelin <jquelin> 0.999.0-1.mga5
+ Revision: 590651
- imported package perl-Algorithm-FastPermute


* Thu Feb 13 2014 cpan2dist 0.999-1mga
- initial mageia release, generated with cpan2dist
